# Amazon Seller Central — Ecommerce API: gotchas

> Canonical URL: https://developers.apideck.com/apis/ecommerce/amazon-seller-central/gotchas

## GET /ecommerce/orders

**Filter parameters:** Either the `created_since` parameter or the `updated_since` parameter is required. Both cannot be empty. `updated_since` cannot be set when `created_since` is set.

**Order history limits:** For the JP, AU, and SG marketplaces, the Orders API supports orders from 2016 onward. For all other marketplaces, the Orders API supports orders for the last two years (orders older than this don't show up in the response).

## GET /ecommerce/orders

Amazon Seller Central does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /ecommerce/products

Amazon Seller Central does not expose a total record count in list responses. `meta.total_count` will not appear.


[API reference](https://developers.apideck.com/apis/ecommerce/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/ecommerce/coverage)
